Bug 1480835 - metrics and logging doesnt provision properly in openshift-ansible if using gluster (CNS)
metrics and logging doesnt provision properly in openshift-ansible if using g...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.1
x86_64 Unspecified
unspecified Severity medium
: ---
: 3.7.0
Assigned To: Jose A. Rivera
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-12 00:33 EDT by Nicholas Nachefski
Modified: 2017-08-14 09:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Nachefski 2017-08-12 00:33:42 EDT
Description of problem:

Kick off a fresh install of OCP 3.6 using openshift-ansible.  configure gluster in the ansible hosts file and set your docker-registry, metrics, and logging to be deployed on dynamic PVs.  only the docker registry will get deployed.  metrics and logging doesnt deploy because it is unable to mount cassandra and elasticsearch PVs (respectively).  PVCs get create but the PVs do not get dynamically created.  After the install completes, if you 'oc edit sc glusterfs-storage' and then add an annotation making it the "default" StorageClass and then re-kick off the metrics and logging install, everything works as expected.

annotations:
   storageclass.kubernetes.io/is-default-class: "true"

Can we look at making the gluster-storage StorageClass the default SC if set to be deployed?


Ansible hosts file:

[OSEv3:children]
masters
nodes
new_nodes
etcd
lb
glusterfs
[OSEv3:vars]
deployment_type=openshift-enterprise
openshift_disable_check=disk_availability,docker_storage,memory_availability
ansible_ssh_user=root
openshift_clock_enabled=true

openshift_master_default_subdomain=apps.ocp.nicknach.net
openshift_master_cluster_method=native
openshift_master_cluster_hostname=api.ocp.nicknach.net
openshift_master_cluster_public_hostname=console.ocp.nicknach.net

#########################################
openshift_hosted_metrics_deploy=true
openshift_hosted_metrics_storage_kind=dynamic

openshift_hosted_logging_deploy=true
openshift_hosted_logging_storage_kind=dynamic

openshift_hosted_manage_registry=true
openshift_hosted_registry_storage_kind=glusterfs

openshift_storage_glusterfs_namespace=glusterfs
openshift_storage_glusterfs_name=storage
##########################################

[lb]
lb.ocp.nicknach.net
[etcd]
master01.ocp.nicknach.net
master02.ocp.nicknach.net
master03.ocp.nicknach.net
[masters]
master01.ocp.nicknach.net
master02.ocp.nicknach.net
master03.ocp.nicknach.net
[nodes]
master01.ocp.nicknach.net openshift_node_labels="{'region': 'masters', 'zone': 'a'}" openshift_schedulable=false
master02.ocp.nicknach.net openshift_node_labels="{'region': 'masters', 'zone': 'b'}" openshift_schedulable=false
master03.ocp.nicknach.net openshift_node_labels="{'region': 'masters', 'zone': 'c'}" openshift_schedulable=false
infra01.ocp.nicknach.net openshift_node_labels="{'region': 'infra', 'zone': 'a'}"
infra02.ocp.nicknach.net openshift_node_labels="{'region': 'infra', 'zone': 'b'}"
infra03.ocp.nicknach.net openshift_node_labels="{'region': 'infra', 'zone': 'c'}"
node01.ocp.nicknach.net openshift_node_labels="{'region': 'primary', 'zone': 'a'}"
node02.ocp.nicknach.net openshift_node_labels="{'region': 'primary', 'zone': 'b'}"
node03.ocp.nicknach.net openshift_node_labels="{'region': 'primary', 'zone': 'c'}"
[glusterfs]
infra01.ocp.nicknach.net glusterfs_devices='["/dev/vdc"]'
infra02.ocp.nicknach.net glusterfs_devices='["/dev/vdc"]'
infra03.ocp.nicknach.net glusterfs_devices='["/dev/vdc"]'
node01.ocp.nicknach.net glusterfs_devices='["/dev/vdc"]'
node02.ocp.nicknach.net glusterfs_devices='["/dev/vdc"]'
node03.ocp.nicknach.net glusterfs_devices='["/dev/vdc"]'


Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:
Comment 1 Jianwei Hou 2017-08-13 23:10:45 EDT
I think we can add a parameter to let user decide whether they want it installed as a default StorageClass.
Comment 2 Jan Safranek 2017-08-14 08:15:33 EDT
There is a code in openshift-ansible that installs a default storage class, it should be updated to make the gluster one default if there is no other default one (e.g. for AWS or GCE).
Comment 3 Scott Dodson 2017-08-14 08:36:32 EDT
Jose,

What should we do here? We need to consider both technical details and making sure that if enabling this without certain subscriptions is to be supported.
Comment 5 Scott Dodson 2017-08-14 09:34:42 EDT
We'll consider making CNS a default storage provider in 3.7.

Note You need to log in before you can comment on or make changes to this bug.